Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1595776 - Dialogs should only run once
Summary: Dialogs should only run once
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.4
Assignee: drew uhlmann
QA Contact: Shveta
URL:
Whiteboard:
: 1585251 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-27 14:19 UTC by drew uhlmann
Modified: 2018-10-10 21:05 UTC (History)
9 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 18:00:46 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1591427 None CLOSED Slow performance with displaying catalog order dialog 2019-03-11 12:14:01 UTC
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:39 UTC

Internal Links: 1591427

Description drew uhlmann 2018-06-27 14:19:27 UTC
Description of problem:
Dialogs are being run once on dialog load and once on submit and we can fix this!

Version-Release number of selected component (if applicable):
for 5.9.4, spin off of https://bugzilla.redhat.com/show_bug.cgi?id=1591427

How reproducible: ubiquitous 


Steps to Reproduce:
1. order a service dialog
2.
3.

Actual results:
see dialog run. see dialog run again. 

Expected results:
see dialog run. see dialog never run again. 

Additional info:
The PRs that fix this are here: 
https://github.com/ManageIQ/manageiq-api/pull/406
https://github.com/ManageIQ/manageiq/pull/17641

Comment 3 Tina Fitzgerald 2018-07-09 20:20:49 UTC
*** Bug 1585251 has been marked as a duplicate of this bug. ***

Comment 6 Shveta 2018-07-16 17:51:04 UTC
Dialogs are run only once while loading .
Verified in 5.9.4.0.20180711215406_53ad123

Comment 8 errata-xmlrpc 2018-09-04 18:00:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.